# TransactionMetadata | xrpl
Documentation for xrpl

# Interface TransactionMetadata

#### Hierarchy

- TransactionMetadata

- Defined in packages/xrpl/src/models/transactions/metadata.ts:62

#####
Index

### Properties

AffectedNodes
DeliveredAmount?
TransactionIndex
TransactionResult
delivered_amount?

## Properties

### AffectedNodes

AffectedNodes: Node []

- Defined in packages/xrpl/src/models/transactions/metadata.ts:63

### `Optional` DeliveredAmount

DeliveredAmount?: Amount

- Defined in packages/xrpl/src/models/transactions/metadata.ts:64

### TransactionIndex

TransactionIndex: number

- Defined in packages/xrpl/src/models/transactions/metadata.ts:67

### TransactionResult

TransactionResult: string

- Defined in packages/xrpl/src/models/transactions/metadata.ts:68

### `Optional` delivered_amount

delivered_amount?: Amount

- Defined in packages/xrpl/src/models/transactions/metadata.ts:66

Generated using TypeDoc